GET analyses instances
curl --request GET \
--url https://app.onecodex.com/api/v1/analyses \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/analyses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"$uri": "/api/v1/analyses/0d77065796f8d173",
"analysis_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job": {
"__DOLLAR_REF__": "/api/v1/jobs/a1b2c3d4e5f67890"
},
"sample": {
"__DOLLAR_REF__": "/api/v1/samples/a1b2c3d4e5f67890"
},
"complete": false,
"error_msg": "<string>",
"job_args": {},
"success": false,
"updated_at": "2023-11-07T05:31:56Z"
}
]Analyses
Retrieve All Analyses
GET
/
api
/
v1
/
analyses
GET analyses instances
GET all Analyses instances. Returns a paginated list of Analyses.
Authorizations
Query Parameters
Page number. Defaults to 1. See Pagination for more details.
Number of requested paginated records. Defaults to 50. See Pagination for more details.
Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)
Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}
Response
200 - application/json
OK
Pattern:
^/api/v1/analyses/[a-f0-9]{16}$Example:
"/api/v1/analyses/0d77065796f8d173"
A reference to the versioned job underlying the analysis, e.g., {"$ref": "/api/v1/jobs/d512cb556241440f"}.
Show child attributes
Show child attributes
A reference to the sample underlying the analysis, e.g., {"$ref": "/api/v1/sample/0ee172af60e84f61"}.
Show child attributes
Show child attributes
The error message from the analysis, if it failed.
Maximum string length:
255The arguments passed into this analysis (can be null).
⌘I

